Renews an API token issued to a developer app.
⚠️ Deprecation Notice: This endpoint is deprecated. Use personal access tokens instead. To extend a token's expiry, use PUT /authn2/v0/personal-access-token/{personal_access_token_id}.
Security
esper_cloud_api_apiKey
- Mock serverhttps://api.esper.io/_mock/openapi/v0/enterprise/{enterprise_id}/developerapp/{developerapp_id}/renew-token/
- https://develop-api.esper.cloud/apihttps://develop-api.esper.cloud/api/v0/enterprise/{enterprise_id}/developerapp/{developerapp_id}/renew-token/
curl -i -X POST \
'https://api.esper.io/_mock/openapi/v0/enterprise/{enterprise_id}/developerapp/{developerapp_id}/renew-token/?access_token=string' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'successful operation
Date and time of when your API token will get expired
Id of the developer app resource that you created using the esper dev console
Response
{ "id": "string", "user": "string", "enterprise": "796caaf9-a7de-4817-9ffa-39d04bf83de9", "token": "string", "expires_at": "2019-08-24T14:15:22Z", "developerapp": "1db6f35b-ff0e-4ed5-98aa-8a4ea01804ca", "scope": "string", "created_on": "2019-08-24T14:15:22Z", "updated_on": "2019-08-24T14:15:22Z" }